Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class TrapHandler

    java.lang.Object
      cascading.flow.stream.TrapHandler

    public class TrapHandler

extends Object

Constructor Summary
`TrapHandler(FlowProcess flowProcess)`
`TrapHandler(FlowProcess flowProcess, Tap trap, String trapName)`

Method Summary
`protected void` | `handleException(String trapName, Tap trap, Throwable throwable, TupleEntry tupleEntry)`
`protected void` | `handleException(Throwable exception, TupleEntry tupleEntry)`
`protected void` | `handleReThrowableException(String message, Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrapHandler

    public TrapHandler(FlowProcess flowProcess)

### TrapHandler

    public TrapHandler(FlowProcess flowProcess,
                       Tap trap,
                       String trapName)

Method Detail

### handleReThrowableException

    protected void handleReThrowableException(String message,
                                              Throwable throwable)

### handleException

    protected void handleException(Throwable exception,
                                   TupleEntry tupleEntry)

### handleException

    protected void handleException(String trapName,
                                   Tap trap,
                                   Throwable throwable,
                                   TupleEntry tupleEntry)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.